#ifndef _DEVICE_SETUP_H_
#define _DEVICE_SETUP_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h> 

extern uint32_t systemCoreClock;          /*!< System Clock Frequency (Core Clock) */

void setupInit();
void setupClock(); 
void setupBus(); 
void setupPower();
void setupMemory();
void delayInitMs(uint32_t clk, uint32_t ticks);


#ifdef __cplusplus
}
#endif

#endif /* _DEVICE_SETUP_H_ */
